Get Super Metric
Get a SuperMetric with the given id
Get a SuperMetric with the given ID
Request
URI
GET
https://{api_host}/suite-api/api/supermetrics/{id}
COPY
Path Parameters
string
id
Required
The Identifier of the SuperMetric
Responses
200
The Super Metric with the given identifier
Returns
supermetric
of type(s)
application/json
"{\n \"id\" : \"f8dfc0a9-0ad2-42a7-b12e-09372d9179eb\",\n \"name\" : \"Example SuperMetric for DataCenter\",\n \"formula\" : \"sumN(\\\\$This:cpu|demandmhz,2)\",\n \"description\" : \"Sum the CPU usage in MHZ on the assigned resource and its children\"\n}"
string
description
Optional
The description of the SuperMetric
string
As .+
formula
Required
The formula expression of the SuperMetric
string As uuid
As uuid
id
Optional
The unique ID of the SuperMetric. This will be null when creating a
SuperMetric, but it is required when updating an existing SuperMetric.
integer As int64
As int64
modificationTime
Optional
Last modification time of the SuperMetric
string
As .+
name
Required
The name of the SuperMetric
Code Samples
COPY
curl -H 'Authorization: <value>' https://{api_host}/suite-api/api/supermetrics/{id}
Super Metrics Operations
GET
Get Super Metrics
POST
Create Super Metric
PUT
Update Super Metric
DELETE
Delete Super Metric
GET
Get Super Metric